OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class EventUtils

    java.lang.Object
      org.opennms.netmgt.capsd.EventUtils

public class EventUtils
extends java.lang.Object

Provides a collection of utility methods used by the DeleteEvent Processor for dealing with Events

Author:
  brozow

Constructor Summary
`EventUtils()`

Method Summary
`static void` `addEventListener(EventListener listener, java.util.List ueiList)` Make the given listener object a listener for the list of events referenced in the ueiList.
`static void` `checkEventId(Event e)` Ensures that the event has a database eventId
`static void` `checkHost(Event e)` Ensures the given event has a host
`static void` `checkInterface(Event e)` Ensures the given event has an interface
`static void` `checkNodeId(Event e)` Ensures that the given Event has a node id
`static void` `checkService(Event e)` Ensures that the given event has a service parameter
`static Event` `createAddInterfaceEvent(java.lang.String source, java.lang.String nodeLabel, java.lang.String ipaddr, java.lang.String hostName, long txNo)` This method is responsible for generating an addInterface event and sending it to eventd..
`static Event` `createAndSendDeleteInterfaceEvent(java.lang.String source, java.lang.String nodeLabel, java.lang.String ipaddr, java.lang.String hostName, long txNo)` This method is responsible for generating a deleteInterface event and sending it to eventd..
`static Event` `createAndSendDeleteNodeEvent(java.lang.String source, java.lang.String nodeLabel, java.lang.String hostName, long txNo)` This method is responsible for generating a deleteNode event and sending it to eventd..
`static Event` `createAndSendDeleteServiceEvent(java.lang.String source, DbNodeEntry nodeEntry, java.net.InetAddress ifaddr, java.lang.String service, java.lang.String hostName, long txNo)` This method is responsible for generating a deleteService event and sending it to eventd..
`static Event` `createAndSendInterfaceDeletedEvent(java.lang.String source, int nodeId, java.lang.String ipaddr, java.lang.String hostName, long txNo)` This method is responsible for generating an interfaceDeleted event and sending it to eventd...
`static Event` `createAssetInfoChangedEvent(java.lang.String source, long nodeId, long txNo)` Construct a deleteNode event for the given nodeId.
`static Event` `createChangeServiceEvent(java.lang.String source, java.lang.String ipaddr, java.lang.String service, java.lang.String action, java.lang.String hostName, long txNo)` This method is responsible for generating a changeService event and sending it to eventd..
`static Event` `createDeleteInterfaceEvent(java.lang.String source, long nodeId, java.lang.String ipAddr, long txNo)` Constructs a deleteInterface event for the given nodeId, ipAddress pair.
`static Event` `createDeleteNodeEvent(java.lang.String source, long nodeId, long txNo)` Construct a deleteNode event for the given nodeId.
`static Event` `createDeleteServiceEvent(java.lang.String source, long nodeId, java.lang.String ipAddr, java.lang.String service, long txNo)` Constructs a deleteService event for the given nodeId, ipAddress, serivcename triple.
`static Event` `createForceRescanEvent(java.lang.String hostName, long nodeId)` This method is responsible for generating a forceRescan event and sending it to eventd..
`static Event` `createInterfaceDeletedEvent(java.lang.String source, long nodeId, java.lang.String ipAddr, long txNo)` Construct an interfaceDeleted event for an interface.
`static Event` `createNodeAddedEvent(DbNodeEntry nodeEntry, long txNo)` This method is responsible for generating a nodeAdded event and sending it to eventd..
`static Event` `createNodeDeletedEvent(java.lang.String source, int nodeId, java.lang.String hostName, java.lang.String nodeLabel, long txNo)` This method is responsible for generating a nodeDeleted event and sending it to eventd..
`static Event` `createNodeDeletedEvent(java.lang.String source, long nodeId, long txNo)` Construct a nodeDeleteed event for the given nodeId
`static Event` `createNodeGainedInterfaceEvent(DbNodeEntry nodeEntry, java.net.InetAddress ifaddr, long txNo)` This method is responsible for generating a nodeGainedInterface event and sending it to eventd..
`static Event` `createNodeGainedServiceEvent(DbNodeEntry nodeEntry, java.net.InetAddress ifaddr, java.lang.String service, long txNo)` This method is responsible for generating a nodeGainedService event and sending it to eventd..
`static Event` `createServiceDeletedEvent(java.lang.String source, long nodeId, java.lang.String ipAddr, java.lang.String service, long txNo)` Constructs a serviceDeleted Event for the nodeId, ipAddr, serviceName triple
`static long` `getEventID(Event e)` Get the eventId for the given event
`static long` `getLongParm(Event e, java.lang.String parmName, long defaultValue)` Retrieve the value associated with an event parameter and parse it to a long.
`static long` `getNodeId(Event e)` Return the nodeId of the node associated with and event, or -1 of no node is associated.
`static java.lang.String` `getParm(Event e, java.lang.String parmName)` Return the value of an event parameter of null if it does not exist.
`static java.lang.String` `getParm(Event e, java.lang.String parmName, java.lang.String defaultValue)` Retrieve a parameter from and event, returning defaultValue of the parameter is not set.
`static void` `requireParm(Event e, java.lang.String parmName)` Throw an exception if an event does have the required parameter
`static void` `sendEvent(Event newEvent, java.lang.String callerUei, long txNo, boolean isXmlRpcEnabled)` Send an event to the Event manaager to be broadcast to interested listeners

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventUtils

    public EventUtils()

Method Detail

### addEventListener

    public static void addEventListener(EventListener listener,
                                        java.util.List ueiList)

  Make the given listener object a listener for the list of events referenced in the ueiList.

  Parameters:
    `listener` - the lister to add
    `ueiList` - the list of events the listener is interested

### checkEventId

    public static void checkEventId(Event e)
                             throws InsufficientInformationException

  Ensures that the event has a database eventId

  Parameters:
    `e` - the event
  Throws:
    `InsufficientInformationException` - if an event id is not evailable

### checkInterface

    public static void checkInterface(Event e)
                               throws InsufficientInformationException

  Ensures the given event has an interface

  Parameters:
    `e` - the event
  Throws:
    `InsufficientInformationException` - if an interface is not available

### checkHost

    public static void checkHost(Event e)
                          throws InsufficientInformationException

  Ensures the given event has a host

  Parameters:
    `e` - the event
  Throws:
    `InsufficientInformationException` - if an interface is not available

### checkNodeId

    public static void checkNodeId(Event e)
                            throws InsufficientInformationException

  Ensures that the given Event has a node id

  Parameters:
    `e` - the event
  Throws:
    `InsufficientInformationException` - if a node id is not available

### checkService

    public static void checkService(Event e)
                             throws InsufficientInformationException

  Ensures that the given event has a service parameter

  Parameters:
    `e` - the event to check
  Throws:
    `InsufficientInformationException` - if the event does not have a service

### createDeleteInterfaceEvent

    public static Event createDeleteInterfaceEvent(java.lang.String source,
                                                   long nodeId,
                                                   java.lang.String ipAddr,
                                                   long txNo)

  Constructs a deleteInterface event for the given nodeId, ipAddress pair.

  Parameters:
    `source` - the source for the event
    `nodeId` - the nodeId of the node that owns the interface
    `ipAddr` - the ipAddress of the interface being deleted
    `txNo` - the transaction number to use for processing this event
  Returns:
    an Event representing a deleteInterface event for the given nodeId, ipaddr

### createDeleteNodeEvent

    public static Event createDeleteNodeEvent(java.lang.String source,
                                              long nodeId,
                                              long txNo)

  Construct a deleteNode event for the given nodeId.

  Parameters:
    `source` - the source for the vent
    `nodeId` - the node to be deleted.
    `txNo` - the transaction number associated with deleting the node
  Returns:
    an Event object representing a delete node event.

### createAssetInfoChangedEvent

    public static Event createAssetInfoChangedEvent(java.lang.String source,
                                                    long nodeId,
                                                    long txNo)

  Construct a deleteNode event for the given nodeId.

  Parameters:
    `source` - the source for the vent
    `nodeId` - the node to be deleted.
    `txNo` - the transaction number associated with deleting the node
  Returns:
    an Event object representing a delete node event.

### createInterfaceDeletedEvent

    public static Event createInterfaceDeletedEvent(java.lang.String source,
                                                    long nodeId,
                                                    java.lang.String ipAddr,
                                                    long txNo)

  Construct an interfaceDeleted event for an interface.

  Parameters:
    `source` - the source of the event
    `nodeId` - the nodeId of the node the interface resides in
    `ipAddr` - the ipAdddr of the event
    `txNo` - a transaction number associated with the event
  Returns:
    an Event represent an interfaceDeleted event for the given interface

### createNodeDeletedEvent

    public static Event createNodeDeletedEvent(java.lang.String source,
                                               long nodeId,
                                               long txNo)

  Construct a nodeDeleteed event for the given nodeId

  Parameters:
    `source` - the source for the evnet
    `nodeId` - the id of the node being deleted
    `txNo` - a transaction number associated with the event
  Returns:
    an Event representing a nodeDeleted event for the given node

### createServiceDeletedEvent

    public static Event createServiceDeletedEvent(java.lang.String source,
                                                  long nodeId,
                                                  java.lang.String ipAddr,
                                                  java.lang.String service,
                                                  long txNo)

  Constructs a serviceDeleted Event for the nodeId, ipAddr, serviceName triple

  Parameters:
    `source` - the source of the event
    `nodeId` - the nodeId that the service resides on
    `ipAddr` - the interface that the service resides on
    `service` - the name of the service that was deleted
    `txNo` - a transaction number associated with the event
  Returns:
    an Event that represents the serviceDeleted event for the give triple

### getEventID

    public static long getEventID(Event e)

  Get the eventId for the given event

  Parameters:
    `e` - the event to get the eventId for
  Returns:
    the eventId of the event or -1 of no eventId is assigned

### getLongParm

    public static long getLongParm(Event e,
                                   java.lang.String parmName,
                                   long defaultValue)

  Retrieve the value associated with an event parameter and parse it to a long. If the value can not be found, return a default value.

  Parameters:
    `e` - the Event to retrieve the parameter from
    `parmName` - the name of the parameter to retrieve
    `defaultValue` - the value to return if the paramter can not be retrieved or parsed
  Returns:
    the value of the parameter as a long

### getNodeId

    public static long getNodeId(Event e)

  Return the nodeId of the node associated with and event, or -1 of no node is associated.

  Parameters:
    `e` - the event
  Returns:
    the nodeId or -1 if no nodeId is set

### getParm

    public static java.lang.String getParm(Event e,
                                           java.lang.String parmName)

  Return the value of an event parameter of null if it does not exist.

  Parameters:
    `e` - the Event to get the parameter for
    `parmName` - the name of the parameter to retrieve
  Returns:
    the value of the parameter, or null of the parameter is not set

### getParm

    public static java.lang.String getParm(Event e,
                                           java.lang.String parmName,
                                           java.lang.String defaultValue)

  Retrieve a parameter from and event, returning defaultValue of the parameter is not set.

  Parameters:
    `e` - The Event to retrieve the parameter from
    `parmName` - the name of the parameter to retrieve
    `defaultValue` - the default value to return if the parameter is not set
  Returns:
    the value of the parameter, or defalutValue if the parameter is not set

### requireParm

    public static void requireParm(Event e,
                                   java.lang.String parmName)
                            throws InsufficientInformationException

  Throw an exception if an event does have the required parameter

  Parameters:
    `e` - the event the parameter must reside on
  Throws:
    `InsufficientInformationException` - if the paramter is not set on the event or if its value has no content

### sendEvent

    public static void sendEvent(Event newEvent,
                                 java.lang.String callerUei,
                                 long txNo,
                                 boolean isXmlRpcEnabled)

  Send an event to the Event manaager to be broadcast to interested listeners

  Parameters:
    `newEvent` - the event to send
    `isXmlRpcEnabled` - FIXME

### createNodeAddedEvent

    public static Event createNodeAddedEvent(DbNodeEntry nodeEntry,
                                             long txNo)

  This method is responsible for generating a nodeAdded event and sending it to eventd..

  Parameters:
    `nodeEntry` - The node Added.
    `txNo` - the transaction no.

### createNodeGainedInterfaceEvent

    public static Event createNodeGainedInterfaceEvent(DbNodeEntry nodeEntry,
                                                       java.net.InetAddress ifaddr,
                                                       long txNo)

  This method is responsible for generating a nodeGainedInterface event and sending it to eventd..

  Parameters:
    `nodeEntry` - The node that gained the interface.
    `ifaddr` - the interface gained on the node.
    `txNo` - the transaction no.

### createNodeDeletedEvent

    public static Event createNodeDeletedEvent(java.lang.String source,
                                               int nodeId,
                                               java.lang.String hostName,
                                               java.lang.String nodeLabel,
                                               long txNo)

  This method is responsible for generating a nodeDeleted event and sending it to eventd..

  Parameters:
    `source` - FIXME
    `nodeId` - Nodeid of the node got deleted.
    `hostName` - the Host server name.
    `nodeLabel` - the node label of the deleted node.

### createAndSendDeleteNodeEvent

    public static Event createAndSendDeleteNodeEvent(java.lang.String source,
                                                     java.lang.String nodeLabel,
                                                     java.lang.String hostName,
                                                     long txNo)

  This method is responsible for generating a deleteNode event and sending it to eventd..

  Parameters:
    `source` - FIXME
    `nodeLabel` - the nodelabel of the deleted node.
    `hostName` - the Host server name.
    `txNo` - the external transaction No of the event.

### createForceRescanEvent

    public static Event createForceRescanEvent(java.lang.String hostName,
                                               long nodeId)

  This method is responsible for generating a forceRescan event and sending it to eventd..

  Parameters:
    `hostName` - the Host server name.
    `nodeId` - the node ID of the node to rescan.

### createAndSendInterfaceDeletedEvent

    public static Event createAndSendInterfaceDeletedEvent(java.lang.String source,
                                                           int nodeId,
                                                           java.lang.String ipaddr,
                                                           java.lang.String hostName,
                                                           long txNo)

  This method is responsible for generating an interfaceDeleted event and sending it to eventd...

  Parameters:
    `source` - FIXME
    `nodeId` - Nodeid of the node that the deleted interface resides on.
    `ipaddr` - the ipaddress of the deleted Interface.
    `hostName` - the Host server name.
    `txNo` - the external transaction No. of the original event.

### createNodeGainedServiceEvent

    public static Event createNodeGainedServiceEvent(DbNodeEntry nodeEntry,
                                                     java.net.InetAddress ifaddr,
                                                     java.lang.String service,
                                                     long txNo)

  This method is responsible for generating a nodeGainedService event and sending it to eventd..

  Parameters:
    `nodeEntry` - The node that gained the service.
    `ifaddr` - the interface gained the service.
    `service` - the service gained.
    `txNo` - the transaction no.

### createAndSendDeleteServiceEvent

    public static Event createAndSendDeleteServiceEvent(java.lang.String source,
                                                        DbNodeEntry nodeEntry,
                                                        java.net.InetAddress ifaddr,
                                                        java.lang.String service,
                                                        java.lang.String hostName,
                                                        long txNo)

  This method is responsible for generating a deleteService event and sending it to eventd..

  Parameters:
    `source` - FIXME
    `nodeEntry` - The node that the service to get deleted on.
    `ifaddr` - the interface the service to get deleted on.
    `service` - the service to delete.
    `hostName` - FIXME
    `txNo` - the transaction no.

### createAddInterfaceEvent

    public static Event createAddInterfaceEvent(java.lang.String source,
                                                java.lang.String nodeLabel,
                                                java.lang.String ipaddr,
                                                java.lang.String hostName,
                                                long txNo)

  This method is responsible for generating an addInterface event and sending it to eventd..

  Parameters:
    `source` - FIXME
    `nodeLabel` - the node label of the node where the interface resides.
    `ipaddr` - IP address of the interface to be added.
    `hostName` - the Host server name.
    `txNo` - the exteranl transaction number

### createAndSendDeleteInterfaceEvent

    public static Event createAndSendDeleteInterfaceEvent(java.lang.String source,
                                                          java.lang.String nodeLabel,
                                                          java.lang.String ipaddr,
                                                          java.lang.String hostName,
                                                          long txNo)

  This method is responsible for generating a deleteInterface event and sending it to eventd..

  Parameters:
    `source` - FIXME
    `nodeLabel` - the node label of the node where the interface resides.
    `ipaddr` - IP address of the interface to be deleted.
    `hostName` - the Host server name.
    `txNo` - the external transaction No.

### createChangeServiceEvent

    public static Event createChangeServiceEvent(java.lang.String source,
                                                 java.lang.String ipaddr,
                                                 java.lang.String service,
                                                 java.lang.String action,
                                                 java.lang.String hostName,
                                                 long txNo)

  This method is responsible for generating a changeService event and sending it to eventd..

  Parameters:
    `source` - FIXME
    `ipaddr` - IP address of the interface where the service resides.
    `service` - the service to be changed(add or remove).
    `action` - what operation to perform for the service/interface pair.
    `hostName` - FIXME
    `txNo` - the external transaction No.

### createDeleteServiceEvent

    public static Event createDeleteServiceEvent(java.lang.String source,
                                                 long nodeId,
                                                 java.lang.String ipAddr,
                                                 java.lang.String service,
                                                 long txNo)

  Constructs a deleteService event for the given nodeId, ipAddress, serivcename triple.

  Parameters:
    `source` - the source for the event
    `nodeId` - the nodeId of the node that service resides on
    `ipAddr` - the ipAddress of the interface the service resides on
    `service` - the service that is being deleted
    `txNo` - the transaction number to use for processing this event
  Returns:
    an Event representing a deleteInterface event for the given nodeId, ipaddr

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.